﻿@model Otus.Teaching.PromoCodeFactory.Mvc.Models.PromoCodeViewModel

<div>
    <dl>
        <dt>
            @Html.DisplayNameFor(model => model.Code)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Code)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.ServiceInfo)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.ServiceInfo)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.BeginDate)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.BeginDate)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.EndDate)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.EndDate)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.PartnerName)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.PartnerName)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.PartnerManager)
        </dt>
        <dt>
            @Html.DisplayNameFor(model => model.Preference)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Preference)
        </dd>
    </dl>
</div>

<div>
    <a asp-action="Edit" asp-route-id="@Model.Id">Редактировать</a>
    <a asp-action="Index">Список</a>
</div>

